Bug 8404 - New Armenian Language Keyboard layouts
Summary: New Armenian Language Keyboard layouts
Status: RESOLVED FIXED
Alias: None
Product: xkeyboard-config
Classification: Unclassified
Component: General (show other bugs)
Version: unspecified
Hardware: x86 (IA32) Linux (All)
: high normal
Assignee: xkb
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-09-22 23:56 UTC by Serouj Ourishian
Modified: 2006-09-24 12:12 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Serouj Ourishian 2006-09-22 23:56:08 UTC
Hello,

I am requesting an account in order to contribute Xkeyboard layouts (3 of them)
for the Armenian language.  2 of them are a standard now, and have been in use
in Windows XP since its release.  The 3rd is a bug-fix of one of the 2 (the
Eastern Armenian layout).

My name is Serouj Ourishian.
serouj@cal.berkeley.edu
Preferred account name: serouj.ourishian

Thank you.

-----BEGIN PGP PUBLIC KEY BLOCK-----
Version: GnuPG v1.4.2 (GNU/Linux)

mQGiBETY5gwRBACmII0aplLhA9j2MfMN+0Wb2LBU5YIaqtTvXL6hKJW3ixFHp0GG
W2t3PxMVjeBsCkjGkulSDJmtlSIhb5BbQx3UwV3b0NDv/6rqzWlJT60r1/1FdnKa
s1LF+p4Gx5yixX8RUTswmPvNG/t5gyQKJw/zeh7o8e3FVLdjBiMKuqKDtwCgrXtS
FTCF9mzroa6qJTrPeV5R2uMD/26rK/RVQ1slSBPVKCDsz02mnzxNsF5icjEVWcUG
j0GRLWaP472mSp5+nXsYEPitPGr9vNwxOUUd0JFsiTU7hzk9f9szMC+/DovKGxpb
ZE4ug168fZ2G78/b1UL7P3d8PKzbENq06WIeQ365vQFdMUSibelbC5jVPt7XWtxj
cI1yBACiMkTARRYfWETy+cXLR9X+2CH/aR67lOUiqPKSkwOwEG++EJCCRzrjkxAX
NSPJI2LvpC1NHBN4j9zjUkTPjO4orqkNCwNxepjBRM8gvKa8wwdQX1qAD4AdCqSX
q2VEWfT5edu5v3u7ToajPkKk+30/JmSO89w+R3a7RlNgPbQKKLQqU2Vyb3VqIE91
cmlzaGlhbiA8c2Vyb3VqQGNhbC5iZXJrZWxleS5lZHU+iGAEExECACAFAkTY5gwC
GwMGCwkIBwMCBBUCCAMEFgIDAQIeAQIXgAAKCRAncC+J4IEH5nNpAJ41wrG3g1kB
fP6e7mX/1vgDW5FKbgCfVVFTXf5glDx0ZL59lkQW4dy6jN65AQ0ERNjmDwEIALHO
+Nj3CCsSH/rNNFpGPJuuhfi6JxLyiAXq1wGEXzZoiRPfyC1uGwBSOaDaeXy1tfdk
1FaUkzKTKC+3bXCc9tI7ORqkgNISnwvXSbEICX0W8hcUGNxKtJ9AwVocZiQISJtx
JvkbpHZDVI8UT5DHDpUQQq43IHqfhctjWZk1I341ouxifotIdz+vPJkUUVedodxU
P/1QobAClCOH1Osop6jfeO9ZTvptIBNl86SQboBwtkcKtpTVkj8XXqax1Y+GHLpW
fyAedoiPr1u5Y2anuz9oGONVK2AuZptvkyf0KAw5mdQ3D7FMYUQkSj35NS6XaE0x
flzIiFZMnI7+73z6sUsAEQEAAYkBaAQYEQIACQUCRNjmDwIbLgEpCRAncC+J4IEH
5sBdIAQZAQIABgUCRNjmDwAKCRBRJtmAC4cRBYn7CACm9lkCpPJ4pzA40l1zGoOR
dMdgDMFKI4tqaLXrwaObzEkQzQMrVBY5PDW3m3XR4lZD+MgQxOBF/ySe3YXJ/wHN
wzBjzRS9bA6gANxccPoTbR5SAHK9P6ba7bVxQZUZp7+XKO/L1CiGp5FGqkFU//4m
/OBMA+iYnZeBeJ4AVrAJhI/7JL2Xlz7v/5l3xF3c8OfQ/Wc8nDkTOtMGahDOWWaV
A/Nq33tOgBT6K4v+CXnC8Pz8T1Cjjf9MKW+f7uSrHLBnCBIUchcAQfwdc67RNgNT
gQgpKhzF63dbaZvZwYBDew0osAJFp8pUuR2oe9q8TO+MTWmis3taT5k3QP2bdD4k
SXcAniVN2XcwqLX3Uuiby84eLsI7RfY9AJ4lNFy8rx5XcPs+wcGge19dRiNAWg==
=FDzS
-----END PGP PUBLIC KEY BLOCK-----

ssh-dss
AAAAB3NzaC1kc3MAAAEBAKNPFzQuWigliLhddur51AN0Rqc7IDzIbKBLSZ0OLacqelSk9n+R7kgOotFKf6lHy/LsTnoUg2rSMU1vE96gFxJG54aTXRQ+GkqAIQtBF/gVrrUYzZ6mjLCo//BG1s+h8nVTcoSzuG8cXzPn/nln+f8rf6lzYhtJLy/haWzdyyeTHZAvulPciDIrYnhDT7iJWIbont4RgJO5k3751ICXN2hjuIyzlDL+ex1w6Eo+Lxccss4OXCwlTQVVlD01IKbAEDV3xV2OOqQ4n2U/dkKyHpxPSLwzYMo+BILiJH5fOGh/A6APkQ/m9FRmGNovbRSaCJNcEFu52W3gflbwDvmF0scAAAAVAKKm6PwUwmp5Oe+WHRrgUZ2i5pPJAAABAEiVdwxEXRMXQ+lnEddx/DdehuKT0LXlpVBgQte7lGsmtKvhEAcl8ipEtag7xumxBPg8Y544MnVFypIBIgtt40NeRdGD1CIkEiZvrKqQmKcA0EYIM1uNQth+85h8oDliQAwE9UILngjFtgj36kWSxNFIkW0+NiWNuczPsJ9K+5i76CKPQpmMsXACJUkq8wpKmsygsrRVqCvRQzgE2NAcPgFrQVzeuRdTjB5hbkmMjA5baGzGxVIrlZMk/baBfSGIoBMPuhS5milsuGro/UGsaXRxEHZgH8ELm8ECeBRvzLV18CSH8M6LfLC/TMAd3UeVq1vwB0Yi1nW1hsVB+/lB/3UAAAEADA/9VVkZd56UOtt7LD7JLog0d+3wPqqt2TYnTeZaTNC+hnb7KtqBhqjWg6k2acY+2Xl5eN6JeJGiAtD2FwH72EzT1Aby9CnLUglWkwS34FOMi5qj4lu6iVgNnauxnpbfQtiv3F+gPhl199bbVD8mavuwgpVb52M1JkpWPWhyBhO2cdtHy3OShtVwkAXgGyL0hg5EAjNUBlMr4zdE368VnnaiWwLZRHfb1GMuQZCWugX6krSBnb5A8m5cp5yYAHdq62OTtcKOdl4qhvmFDKivvanHcbHCU1Bhb9F/EinJ2beG/r+gtUiJZuVBgq8BvdlHdAT47NFMIMG2+3MCUMUtaA==
serouj@24-205-6-233
Comment 1 Serouj Ourishian 2006-09-23 00:02:21 UTC
FYI I describe these 3 layouts in more detail at:

http://hy4linux.blogspot.com/2006/09/new-armenian-keyboard-layouts-for.html
Comment 2 Sergey V. Udaltsov 2006-09-23 02:58:08 UTC
First, account-requests should be filed for site-wranglers, not XKB maintenance.
Second, I think it would be simpler and faster if you just change this bug and
attach your layouts here, ok? Thank you for your help.
Comment 3 Nicolas Mailhot 2006-09-23 09:21:34 UTC
Hi Serouj

It's not really related, but I think the DejaVu (dejavu.sf.net) people are
looking for some native Armenian review of their current armenian glyphs. So far
they haven't managed to find any computer and FLOSS-oriented armenian reviewer
to work with. Should you know people ready to do this review, you can reach them
on #dejavu,
http://dejavu.sourceforge.net/wiki/index.php/Dejavu-fonts_mailing_list, or the
DejaVu component of this bugzilla
Comment 4 Serouj Ourishian 2006-09-23 10:24:37 UTC
Thanks Sergey,
That would indeed be quicker.

Here's what I attached to the end of my symbols/am file:

partial alphanumeric_keys
xkb_symbols "eastern" {

    name[Group1]="Armenia - Eastern";

	// This is the closer phonetic transliteration for Eastern Armenian
	// than the Windows XP layout for Eastern Armenian, which seems
	// to have contained a bug, with the reversal of 'g' for keh and 'c' for gim
	// Also, AE01 (the colon) has been replaced with the Armenian_full_stop and
	// capital AE07 (ken) with the Armenian ligature ew

    key <TLDE> {	[ Armenian_separation_mark,  Armenian_exclam ]	};
//  key <AE01> {	[ colon,  		KP_1 ]	};
    key <AE01> {	[ Armenian_full_stop,  	KP_1 ]	};
    key <AE02> {	[ Armenian_dza,  	Armenian_DZA ]	};
    key <AE03> {	[ Armenian_hi,  	Armenian_HI ]	};
    key <AE04> {	[ Armenian_accent,  	KP_3 ]       };
    key <AE05> {	[ comma,  		KP_4 ]	};
    key <AE06> {	[ minus,  		KP_9 ]	};
    key <AE07> {	[ period,  		Armenian_ligature_ew ]	};
    key <AE08> {	[ guillemotleft,  	parenleft ]	};
    key <AE09> {	[ guillemotright,  	parenright ]	};
    key <AE10> {	[ Armenian_o,  		Armenian_O ]	};
    key <AE11> {	[ Armenian_ra,  	Armenian_RA ]       };
    key <AE12> {	[ Armenian_zhe,  	Armenian_ZHE ]	};

    key <LatQ> {	[ Armenian_khe,  	Armenian_KHE ]	};
    key <LatW> {	[ Armenian_vyun,  	Armenian_VYUN ]	};
    key <LatE> {	[ Armenian_e,  		Armenian_E ]	};
    key <LatR> {	[ Armenian_re,  	Armenian_RE ]	};
    key <LatT> {	[ Armenian_tyun,  	Armenian_TYUN ]	};
    key <LatY> {	[ Armenian_yech,  	Armenian_YECH ]	};
    key <LatU> {	[ Armenian_at,  	Armenian_AT ]	};
    key <LatI> {	[ Armenian_ini,  	Armenian_INI ]	};
    key <LatO> {	[ Armenian_vo,  	Armenian_VO ]	};
    key <LatP> {	[ Armenian_pe,  	Armenian_PE ]	};
    key <AD11> {	[ Armenian_cha,  	Armenian_CHA ]	};
    key <AD12> {	[ Armenian_je,  	Armenian_JE ]	};
    key <BKSL> {	[ apostrophe,  		Armenian_question ]	};

    key <LatA> {	[ Armenian_ayb,  	Armenian_AYB ]	};
    key <LatS> {	[ Armenian_se,  	Armenian_SE ]	};
    key <LatD> {	[ Armenian_da,  	Armenian_DA ]	};
    key <LatF> {	[ Armenian_fe,  	Armenian_FE ]	};
    key <LatG> {	[ Armenian_gim,  	Armenian_GIM ]	};
    key <LatH> {	[ Armenian_ho,  	Armenian_HO ]	};
    key <LatJ> {	[ Armenian_tche,  	Armenian_TCHE ]	};
    key <LatK> {	[ Armenian_ken,  	Armenian_KEN ]	};
    key <LatL> {	[ Armenian_lyun,  	Armenian_LYUN ]	};
    key <AC10> {	[ Armenian_to,  	Armenian_TO ]	};
    key <AC11> {	[ Armenian_pyur,  	Armenian_PYUR ]	};

    key <LatZ> {	[ Armenian_za,  	Armenian_ZA ]	};
    key <LatX> {	[ Armenian_tso,  	Armenian_TSO ]	};
    key <LatC> {	[ Armenian_ke,  	Armenian_KE ]	};
    key <LatV> {	[ Armenian_vev,  	Armenian_VEV ]	};
    key <LatB> {	[ Armenian_ben,  	Armenian_BEN ]	};
    key <LatN> {	[ Armenian_nu,  	Armenian_NU ]	};
    key <LatM> {	[ Armenian_men,  	Armenian_MEN ]	};
    key <AB08> {	[ Armenian_sha,  	Armenian_SHA ]       };
    key <AB09> {	[ Armenian_ghat,  	Armenian_GHAT ]       };
    key <AB10> {	[ Armenian_tsa,  	Armenian_TSA ]	};

};

partial alphanumeric_keys
xkb_symbols "western" {
    include "am(eastern)"
    name[Group1]="Armenian - Western";

	// This is exactly the same layout for Western Armenian
	// as in Windows XP, except:
 	// AE01 (the colon) has been replaced with the Armenian_full_stop and
	// capital AE07 (ken) with the Armenian ligature ew

    key <LatW> {	[ Armenian_vev,  	Armenian_VEV ]	};
    key <LatT> {	[ Armenian_da,  	Armenian_DA ]	};
    key <LatP> {	[ Armenian_ben,  	Armenian_BEN ]	};
    key <LatD> {	[ Armenian_tyun,  	Armenian_TYUN ]	};
    key <LatG> {	[ Armenian_ken,  	Armenian_KEN ]	};
    key <LatK> {	[ Armenian_ke,  	Armenian_KE ]	};
    key <LatC> {	[ Armenian_gim,  	Armenian_GIM ]	};
    key <LatV> {	[ Armenian_vyun,  	Armenian_VYUN ]	};
    key <LatB> {	[ Armenian_pe,  	Armenian_PE ]	};

};

partial alphanumeric_keys
xkb_symbols "eastern-alt" {
    include "am(eastern)"
    name[Group1]="Armenian - Alternative Eastern";

	// This replicates the Windows XP keyboard layout for Eastern
	// Armenian exactly (including the bug), except:
 	// AE01 (the colon) has been replaced with the Armenian_full_stop and
	// capital AE07 (ken) with the Armenian ligature ew

    key <LatG> {	[ Armenian_ke,  	Armenian_KE ]	};
    key <LatC> {	[ Armenian_gim,  	Armenian_GIM ]	};

};

////////////////////////////////////////
// Corresponding rules/base.xml snippet
// (Note: internationalization of descriptions still needed)
////////////////////////////////////////
<layout>
−
	<configItem>
<name>am</name>
<shortDescription>Arm</shortDescription>
<shortDescription xml:lang="af">Arm</shortDescription>
<shortDescription xml:lang="az">Erm</shortDescription>
<shortDescription xml:lang="cs">Arm</shortDescription>
<shortDescription xml:lang="da">Arm</shortDescription>
<shortDescription xml:lang="el">Αρμ</shortDescription>
<shortDescription xml:lang="en_GB">Arm</shortDescription>
<shortDescription xml:lang="fi">Arm</shortDescription>
<shortDescription xml:lang="fr">Arm</shortDescription>
<shortDescription xml:lang="hu">Arm</shortDescription>
<shortDescription xml:lang="nl">Arm</shortDescription>
<shortDescription xml:lang="ru">Арм</shortDescription>
<shortDescription xml:lang="sk">Arm</shortDescription>
<shortDescription xml:lang="sl">ARM</shortDescription>
<shortDescription xml:lang="sq">Arm</shortDescription>
<shortDescription xml:lang="sr">јрм</shortDescription>
<shortDescription xml:lang="sr@Latn">jrm</shortDescription>
<shortDescription xml:lang="sv">Arm</shortDescription>
<shortDescription xml:lang="tr">Erm</shortDescription>
<shortDescription xml:lang="uk">Вірм</shortDescription>
<shortDescription xml:lang="vi">Arm</shortDescription>
<shortDescription xml:lang="zh_CN">Arm</shortDescription>
<shortDescription xml:lang="zh_TW">Arm</shortDescription>
<description>Armenia</description>
<description xml:lang="bg">арменска</description>
<description xml:lang="en_GB">Armenia</description>
<description xml:lang="fi">Armenia</description>
<description xml:lang="fr">Arménie</description>
<description xml:lang="nl">Armenië</description>
<description xml:lang="ru">Армения</description>
<description xml:lang="rw">Arumeniya</description>
<description xml:lang="sl">Armenija</description>
<description xml:lang="sr">Јерменија</description>
<description xml:lang="sr@Latn">Jermenija</description>
<description xml:lang="tr">Ermenistan</description>
<description xml:lang="vi">Ác-mê-ni</description>
<description xml:lang="zh_TW">亞美尼亞</description>
</configItem>
−
	<variantList>
−
	<variant>
−
	<configItem>
<name>phonetic</name>
<description>Phonetic</description>
<description xml:lang="af">Foneties</description>
<description xml:lang="az">Fonetik</description>
<description xml:lang="bg">фонетична</description>
<description xml:lang="cs">Fonetické</description>
<description xml:lang="da">Fonetisk</description>
<description xml:lang="el">Φωνητικά</description>
<description xml:lang="en_GB">Phonetic</description>
<description xml:lang="fi">foneettinen</description>
<description xml:lang="fr">Phonétique</description>
<description xml:lang="hu">fonetikus</description>
<description xml:lang="nl">Fonetisch</description>
<description xml:lang="ru">Фонетическая</description>
<description xml:lang="sk">Fonetické</description>
<description xml:lang="sl">Fonetična</description>
<description xml:lang="sq">Phonetic</description>
<description xml:lang="sr">фонетски</description>
<description xml:lang="sr@Latn">fonetski</description>
<description xml:lang="sv">Fonetisk</description>
<description xml:lang="tr">Fonetik</description>
<description xml:lang="uk">Фонетична</description>
<description xml:lang="vi">Ngữ âm</description>
<description xml:lang="zh_CN">Phonetic</description>
<description xml:lang="zh_TW">音標</description>
</configItem>
</variant>
−
	<variant>
−
	<configItem>
<name>eastern</name>
<description>Armenian (eastern)</description>
</configItem>
</variant>
−
	<variant>
−
	<configItem>
<name>western</name>
<description>Armenian (western)</description>
</configItem>
</variant>
−
	<variant>
−
	<configItem>
<name>eastern-alt</name>
<description>Armenian (eastern, WinXP)</description>
</configItem>
</variant>
</variantList>
</layout>
Comment 5 Serouj Ourishian 2006-09-23 10:38:04 UTC
Hi Nicholas,

Thank you for the information on DejaVu.
I'll let them know I'm available to review.
Comment 6 Serouj Ourishian 2006-09-23 12:31:25 UTC
Hi guys,

As a follow-up, I was just wondering whether you think I should submit these new
keyboard layouts to X.org and XFree86, or do you think they automatically would
pick these up from Freedesktop.org?  If they automatically do so, how long do
you think before it appears in the next X.org of XFree86?

thanks.
Comment 7 Sergey V. Udaltsov 2006-09-24 12:12:43 UTC
committed.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct.